import type { AngleUnit, AngleUnitString, LengthPercentageUnit, LengthPercentageUnitString, LengthUnit, LengthUnitString } from '../../type';
declare function matrix(a: number, b: number, c: number, d: number, tx: number, ty: number): string;
declare function matrix3d(a1: number, b1: number, c1: number, d1: number, a2: number, b2: number, c2: number, d2: number, a3: number, b3: number, c3: number, d3: number, a4: number, b4: number, c4: number, d4: number): string;
declare function perspective(length: LengthPercentageUnitString): string;
declare function perspective(length: number, unit?: LengthUnit): string;
declare function rotate(angle: AngleUnitString): string;
declare function rotate(angle: number, unit?: AngleUnit): string;
declare function rotate3d(x: number, y: number, z: number, angle: number): string;
declare function rotate3d(x: number, y: number, z: number, angle: AngleUnitString): string;
declare function rotate3d(x: number, y: number, z: number, angle: number, unit?: AngleUnit): string;
declare function rotateX(angle: AngleUnitString): string;
declare function rotateX(angle: number, unit?: AngleUnit): string;
declare function rotateY(angle: AngleUnitString): string;
declare function rotateY(angle: number, unit?: AngleUnit): string;
declare function rotateZ(angle: AngleUnitString): string;
declare function rotateZ(angle: number, unit?: AngleUnit): string;
declare function scale(x: number, y?: number): string;
declare function scale3d(x: number, y: number, z: number): string;
declare function scaleX(x: number): string;
declare function scaleY(y: number): string;
declare function scaleZ(z: number): string;
declare function skew(angle: number): string;
declare function skew(angle: AngleUnitString): string;
declare function skew(angle: AngleUnitString, angle2: AngleUnitString): string;
declare function skew(angle: number, unit: AngleUnit): string;
declare function skew(angleX: number, angleY: number): string;
declare function skew(angleX: number, unitX: AngleUnit, angleY: number, unitY: AngleUnit): string;
declare function skewX(angle: AngleUnitString): string;
declare function skewX(angle: number, unit?: AngleUnit): string;
declare function skewY(angle: AngleUnitString): string;
declare function skewY(angle: number, unit?: AngleUnit): string;
declare function translate(x: LengthPercentageUnitString): string;
declare function translate(x: number): string;
declare function translate(x: number, y: number): string;
declare function translate(x: LengthPercentageUnitString, y: LengthPercentageUnitString): string;
declare function translate(translation: number, unit: LengthPercentageUnit): string;
declare function translate(x: number, unitX: LengthPercentageUnit, y: number, unitY: LengthPercentageUnit): string;
declare function translate3d(x: LengthPercentageUnitString | number, y: LengthPercentageUnitString | number, z: LengthPercentageUnitString | number): string;
declare function translate3d(x: number, unitX: LengthPercentageUnit, y: number, unitY: LengthPercentageUnit, z: number, unitZ: LengthUnit): string;
declare function translateX(x: LengthPercentageUnitString): string;
declare function translateX(x: number, unit?: LengthPercentageUnit): string;
declare function translateY(y: LengthPercentageUnitString): string;
declare function translateY(y: number, unit?: LengthPercentageUnit): string;
declare function translateZ(z: LengthUnitString): string;
declare function translateZ(z: number, unit?: LengthUnit): string;
export { matrix, matrix3d, perspective, rotate, rotate3d, rotateX, rotateY, rotateZ, scale, scale3d, scaleX, scaleY, scaleZ, skew, skewX, skewY, translate, translate3d, translateX, translateY, translateZ, };
